#include <windows.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <memory.h>
#pragma hdrstop

int __stdcall WinMain(HINSTANCE Instance, HINSTANCE /*PrevInstance*/, LPSTR CmdLineStr, int /*CmdShow*/) {
  HKEY hk1, hk2, hk3, hk4;
  BOOL found = FALSE;
  
  // try to find the command to start the library
  if (RegOpenKey(HKEY_LOCAL_MACHINE, "SOFTWARE", &hk1) == ERROR_SUCCESS) {
    if (RegOpenKey(hk1, "New Zealand Digital Library Project", &hk2) == ERROR_SUCCESS) {
      if (RegOpenKey(hk2, "Greenstone Digital Library Software", &hk3) == ERROR_SUCCESS) {
	if (RegOpenKey(hk3, "2.37.000", &hk4) == ERROR_SUCCESS) {
	  found = TRUE;
 	  RegCloseKey(hk4);
	}
	RegCloseKey(hk3);
      }
      RegCloseKey(hk2);
    }
    RegCloseKey(hk1);
  }
  
  if (!found) { 
    // not installed, try to run the setup program
    WinExec ("setup.exe", SW_SHOW);
  }
  return 0;
}
